import 'package:flutter/material.dart';

class Item {
  final int i;
  final dynamic object;
  final dynamic initController;
  final Widget Function(String name, dynamic controller) initBuildView;

  Item({
    @required this.i,
    @required this.object,
    @required this.initController,
    @required this.initBuildView
  }) {
    controller = initController;

    name = object.json().keys.toList()[i];

    final Map map = object.toData();

    controller.data = map.values.toList()[i];

    buildView = initBuildView(name, controller);
  }

  String name;

  dynamic controller;

  Widget buildView;
}